> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve VLAN

> Retrieve a Virtual Network.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /virtual_networks/{vlan_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /virtual_networks/{vlan_id}:
    get:
      tags:
        - Private Networks
      summary: Retrieve VLAN
      description: |
        Retrieve a Virtual Network.
      operationId: get-virtual-network
      parameters:
        - name: vlan_id
          in: path
          required: true
          description: Virtual Network ID
          examples:
            Success:
              value: vlan_W6Q2D9ordKLpr
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: vlan_W6Q2D9ordKLpr
                      type: virtual_networks
                      attributes:
                        tags: []
                        vid: 2040
                        description: Testing vlans
                        created_at: null
                        region:
                          city: São Paulo 255
                          country: Mexico 268
                          site:
                            id: loc_1R3zq28EOWxyn
                            name: São Paulo 255
                            slug: SAO
                            facility: São Paulo 255
                        project:
                          id: proj_LA73qkknqaJ2o
                          name: Incredible Wool Plate
                          slug: incredible-wool-plate
                          description: Heavy Duty Wooden Coat
                          billing_type: Normal
                          billing_method: Normal
                          bandwidth_alert: false
                          environment: null
                          billing:
                            subscription_id: null
                            type: Normal
                            method: Normal
                          stats:
                            databases: 0
                            ip_addresses: 2
                            prefixes: 0
                            servers: 1
                            storages: 0
                            virtual_machines: 0
                            vlans: 0
                        assignments_count: 1
                    meta: {}
              schema:
                $ref: '#/components/schemas/virtual_network'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.private_networks.get(vlan_id="vlan_W6Q2D9ordKLpr")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.PrivateNetworks.Get(ctx, \"vlan_W6Q2D9ordKLpr\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualNetwork != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.privateNetworks.get({
                vlanId: "vlan_W6Q2D9ordKLpr",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    virtual_network:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/virtual_network_data'
        meta:
          type: object
    virtual_network_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_networks
        attributes:
          type: object
          properties:
            vid:
              type: integer
              description: vlan ID of the virtual network
            name:
              type: string
              description: Name of the virtual network
            description:
              type: string
              description: Description of the virtual network
            project:
              $ref: '#/components/schemas/project_include'
            region:
              type: object
              properties:
                city:
                  type: string
                country:
                  type: string
                site:
                  type: object
                  properties:
                    id:
                      type: string
                    facility:
                      type: string
                    name:
                      type: string
                    slug:
                      type: string
            created_at:
              type: string
              format: date-time
              nullable: true
            assignments_count:
              type: integer
              description: Amount of devices assigned to the virtual network
            tags:
              type: array
              description: Tags associated with the virtual network
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  color:
                    type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````